version: "3.8"

services:

  rest:
    environment:
      WESKIT_S3_ENDPOINT: http://localhost:9000
      WESKIT_S3_ID: minioadmin
      WESKIT_S3_SECRET: minioadmin
      WESKIT_S3_REGION: us-east-1

  minio:
    image: minio/minio:latest
    ports:
      - 9000:9000
      - 9001:9001
    volumes:
      - ../tests/data/:/data/:rw
    networks:
      - weskit
    environment:
      - MINIO_SERVER_URL=http://127.0.0.1:9000
    command: "server /data --console-address ':9001'"
    deploy:
        mode: replicated
        replicas: 1
        labels:
            - "traefik.enable=false"
